/*******************************(abc902-18326)******
 *   SPI_EEP-ROM ǂݏeXg with AQM1248A  
 ***************************************************/

#include "mcc_generated_files/mcc.h"
#include "myProject.h"
#include "AQM1248A_m2.h"
#include "spi_EEPROM.h"

// #define  BFSIZE 20         // myProject.hŐ錾
char     sBf[BFSIZE];       // ƃGA
char     RBuf[BFSIZE];      // VAMobt@
uint8_t  SFlg;              // VAMtO

//---- ^[~iɃvvg\
void prtPrompt(uint8_t m){
    if(m)  printf("# ");           	// A[h
    else   printf("$ ");           	// ʏ폑[h
}

/*-----------------------------------
 *        Main application
 ------------------------------------*/
void main(void){
    uint8_t cmd;
//    uint8_t xpos, ypos, col;

    SYSTEM_Initialize();
    SSP1CON1bits.SSPEN = 1;     //SPI1L
    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();

    gLCD_int();
    gLCD_clr(0);			// x^0xFF
//    col = 1;                // col=0, col=8
    
    puts("Ready\r");  			// mFp
    gLCD_strX(0,0,"Ready");
    prtPrompt(spiRom_SqMode());

    SPI_Rom_RdStat();
    
//    SPI_Bf_clear();
    
    while (1){
        if(SFlg){
            gLCD_clr(0);            // OtBbNʏ
            gLCD_strX(0,0,RBuf);    // LCDɃR}h\
            cmd = RBuf[0];              // R}h͑1
            #ifndef VBA
                printf("\n\r");
            #endif
            switch(cmd) {               // eR}h̎s
                case 'W': spiRom_cmd_W(RBuf);  break;
                case 'R': spiRom_cmd_R(RBuf);  break;
                case 'Q': spiRom_cmd_Q(RBuf);  break;
                case 'U': spiRom_cmd_U(RBuf);  break;
                case 'S': spiRom_cmd_W(RBuf);  break;
                case 'P': spiRom_cmd_P(RBuf);  break;
                                        // LȃR}hȂ
                default:  if(spiRom_SqMode()){
                            spiRom_cmd_WSQ(RBuf);
                          }            // A[hȂ
                          break;       // V[PXs
            }
            SFlg = 0;
            #ifndef VBA
                prtPrompt(spiRom_SqMode());
            #endif
        }
        IO_RA4_Toggle();
        __delay_ms(500);
    }
}
/**===  End of File  ===*/
